[L011]Literature Author and Affiliation

post
https://connect.patsnap.com/literature/author-affiliation
Try in Sandbox

Receive literature author and affiliation by paper_id or doi.

One of the two parameters, paper_id and doi, is required; if both are passed, paper_id is preferred.The API supports batch requests with multiple paper ids, up to 100, and more paper id are separated with English comma, Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
doi
string10.1016/j.bpj.2024.07.030
DOI (only a single doi issupported)
paper_id
string00001b6d-2cfa-411a-ab41-8a05fd675d46,00001756-243f-4738-a288-282987105915
paper id

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
doi
string10.1039/d3nr04740g
DOI
paper_id
string8be86941-0455-4ca4-921b-61e1c01d6393
Paper ID
author_data
arrayPlease check the form: LiteratureAuthor
Author Data
name
stringBihannic, Isabelle
Full Name
orcid
string0000-0001-9780-2509
ORCID
surname
stringBihannic
Surname
sequence
integer<int32>6
Sequence
co_authors
array[ "Beaussart, Audrey", "Sohm, Bénédicte", "Caillet, Céline" ]
Co-Authors
first_name
stringIsabelle
Surname
published_list
array[ "Hoppe, Sandrine,Farge, Laurent,Tournilhac, François,et al.Deformation mechanisms in PBT at elevated temperatures.Mater Today Commun.2023 Aug;36:106774.doi:10.1016/j.mtcomm.2023.106774.", "Duval, Jérôme F.L.,Bihannic, Isabelle,Razafitianamaharavo, Angelina,et al.New insights into the effects of growth phase and enzymatic treatment on the cell-wall properties of Chlorella vulgaris microalgae.Algal Res.2023 Jan;69:102955.doi:10.1016/j.algal.2022.102955." ]
Published List
affiliation_name
stringUniversité de Lorraine, CNRS, LIEC, F-54000 Nancy, France. nicolas.lesniewska@univ-lorraine.fr.
Affiliation Name
affiliation_type
stringEducation
Affiliation Type
affiliation_rorid
stringhttps://ror.org/04vfs2w97
Affiliation RORID
affiliation_country
stringFrance
Affiliation Country
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "doi": "10.1039/d3nr04740g",
      "paper_id": "8be86941-0455-4ca4-921b-61e1c01d6393",
      "author_data": [
        {
          "name": "Bihannic, Isabelle",
          "orcid": "0000-0001-9780-2509",
          "surname": "Bihannic",
          "sequence": 6,
          "co_authors": [
            "Beaussart, Audrey",
            "Sohm, Bénédicte",
            "Caillet, Céline"
          ],
          "first_name": "Isabelle",
          "published_list": [
            "Hoppe, Sandrine,Farge, Laurent,Tournilhac, François,et al.Deformation mechanisms in PBT at elevated temperatures.Mater Today Commun.2023 Aug;36:106774.doi:10.1016/j.mtcomm.2023.106774.",
            "Duval, Jérôme F.L.,Bihannic, Isabelle,Razafitianamaharavo, Angelina,et al.New insights into the effects of growth phase and enzymatic treatment on the cell-wall properties of Chlorella vulgaris microalgae.Algal Res.2023 Jan;69:102955.doi:10.1016/j.algal.2022.102955."
          ],
          "affiliation_name": "Université de Lorraine, CNRS, LIEC, F-54000 Nancy, France. nicolas.lesniewska@univ-lorraine.fr.",
          "affiliation_type": "Education",
          "affiliation_rorid": "https://ror.org/04vfs2w97",
          "affiliation_country": "France"
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms